天野です。
ruby-postgres0.7.1のインストールがうまくいきません。

$ ruby -v
ruby 1.8.1 (2004-03-22) [powerpc-darwin]
MAcOSX10.3.4
ruby-postgres0.7.1
PostgreSQL7.4.3

$ ruby extconf.rb 
checking for cygwin32_socket() in -lwsock32... no
checking for socket() in -lsocket... no
checking for gethostbyname() in -linet... no
checking for gethostbyname() in -lnsl... no
checking for sys/un.h... yes
checking for socket()... yes
checking for hsterror()... no
checking for gethostname()... yes
checking for PQsetdbLogin() in -lpq... no
Could not find PostgreSQL libraries: Makefile not created

$ ruby extconf.rb --with-pgsql-include-dir=/usr/local/pgsql/include --with-
pgsql-lib-dir=/usr/local/pgsql/lib
checking for cygwin32_socket() in -lwsock32... no
checking for socket() in -lsocket... no
checking for gethostbyname() in -linet... no
checking for gethostbyname() in -lnsl... no
checking for sys/un.h... yes
checking for socket()... yes
checking for hsterror()... no
checking for gethostname()... yes
Using PostgreSQL include directory: /usr/local/pgsql/include
Using PostgreSQL lib directory: /usr/local/pgsql/lib
checking for PQsetdbLogin() in -lpq... no
Could not find PostgreSQL libraries: Makefile not created

以前PostgrSQLが7.3の頃インストールした際には何の問題もなくインストールできた
記憶があるのですが。
PostgreSQlインストール直後に
cd /usr/local/pgsql/lib
sudo ranlib libecpg.a libpq.a
は、行っています。
mkmf.logは見ましたが、何もわかりませんでした(あちこちエラーが出ていましたが
)。

アドバイスがありましたお願いいたします。

Ryutaro Amano
wn9r-amn / asahi-net.or.jp